ProviderPermission

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.spi
Class ProviderPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.dvb.spi.ProviderPermission

All Implemented Interfaces:
  Serializable, Guard

    public class ProviderPermission

extends BasicPermission

This class is for applications which wish to be able to install providers. A ProviderPermission contains a name and an action string.

The permission name shall be either the fully qualified class name of the provider class to be installed or "*" meaning any provider. Applications may have multiple instances of this permission in order to be able to install more than one but not all providers.

The actions list shall either be "xlet" or "system". "xlet" means the right to install the provider as an xlet bound provider and "system" as a system bound provider. No checking shall be performed on whether the specified class name is consistent with the action.

Since:
  MHP 1.1.3
See Also:
  Serialized Form

Constructor Summary
`ProviderPermission(String name)` Creates a new ProviderPermission with the specified name.
`ProviderPermission(String name, String actions)` Creates a new ProviderPermission object with the specified name.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderPermission

    public ProviderPermission(String name)

  Creates a new ProviderPermission with the specified name. The name is the symbolic name of the ProviderPermission.

  Parameters:
    `name` - the name of the ProviderPermission or "*"

### ProviderPermission

    public ProviderPermission(String name,
                              String actions)

  Creates a new ProviderPermission object with the specified name. The name is the symbolic name of the ProviderPermission. The actions string should be either "xlet" or "system". This constructor exists for use by the Policy object to instantiate new Permission objects.

  Parameters:
    `name` - the name of the ProviderPermission or "*"
    `actions` - the requested actions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD